### Function

# Pangoattr_strikethrough_new

#### Declaration [src]

    PangoAttribute*
    pango_attr_strikethrough_new (
      gboolean strikethrough
    )

#### Description [src]

Create a new strike-through attribute.

#### Parameters

`strikethrough`

  Type: `gboolean`

  `TRUE` if the text should be struck-through.

#### Return value

Type: `PangoAttribute`

The newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`

The caller of the function takes ownership of the data, and is responsible for freeing it.